|  | Home |

# QMailAccountId Class Reference

The QMailAccountId class is used to identify accounts stored by QMailStore. More...

        #include <QMailAccountId>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

| QMailAccountId ()
| QMailAccountId ( quint64 value )
bool | isValid () const
| operator QVariant () const
bool | operator!= ( const QMailAccountId & other ) const
bool | operator< ( const QMailAccountId & other ) const
bool | operator== ( const QMailAccountId & other ) const

## Related Non-Members

typedef | QMailAccountIdList

## Detailed Description

The QMailAccountId class is used to identify accounts stored by QMailStore.

QMailAccountId is a class used to represent accounts stored by the QMailStore, identified by their unique numeric internal indentifer.

A QMailAccountId instance can be tested for validity, and compared to other instances for equality. The numeric value of the identifier is not intrinsically meaningful and cannot be modified.

See also QMailAccount and QMailStore::account().

## Member Function Documentation

### QMailAccountId::QMailAccountId ()

Construct an uninitialized QMailAccountId, for which isValid() returns false.

### QMailAccountId::QMailAccountId ( quint64 value )

Construct a QMailAccountId with the supplied numeric identifier value.

### bool QMailAccountId::isValid () const

Returns true if this object has been initialized with an identifier.

### QMailAccountId::operator QVariant () const

Returns a QVariant containing the value of this account identfier.

### bool QMailAccountId::operator!= ( const QMailAccountId & other ) const

Returns true if this object's identifier value differs from that of other.

### bool QMailAccountId::operator< ( const QMailAccountId & other ) const

Returns true if this object's identifier value is less than that of other.

### bool QMailAccountId::operator== ( const QMailAccountId & other ) const

Returns true if this object's identifier value is equal to that of other.

## Related Non-Members

### typedef QMailAccountIdList